const marked = require('marked');
const createDOMPurify = require('dompurify');
const { JSDOM } = require('jsdom');
const highlight = require('highlight.js');

const dompurify = createDOMPurify(new JSDOM().window);

marked.setOptions({
  highlight: function(code, lang) {
    const language = highlight.getLanguage(lang) ? lang : 'plaintext';
    return highlight.highlight(code, { language }).value;
  },
  sanitize: true,
  sanitizer: dompurify.sanitize
});

module.exports = (markdown) => {
  return marked(markdown);
};
